<template lang='pug'>
  .signup
    h2 Admin ログイン
    div.mt20(v-if="isAdminLoggedIn")
      h2 ログイン済み
      my-button.mt10(
        size="small"
        type="secondry"
        @click="$router.push('/admin')"
      ) adminへ

    h3.mt10 名前: {{userName}}

    span.label.mt10 id(mail)
    my-text-input.mt10(
      type='text'
      placeholder='@gmail.com'
      v-model='email'
    )
    span.label.mt10 pass
    my-text-input.mt10(
      type='password'
      placeholder='password'
      v-model='password'
    )
    p.note.mt10.
      管理画面に入るためのやつ。

    my-button.mt20(
      size="small"
      type="primary"
      @click='login({email,password})',
    ) ログイン！

    my-button.mt10(
      size="small"
      type="secondry"
      style="margin-left: 0"
      @click='logout',
    ) ログアウト
</template>

<script>
import Router from 'vue-router'
import firebase, { auth } from 'firebase'
import { mapActions, mapGetters } from 'vuex'
import MyTextInput from '@/components/atoms/TextInput'
import MyButton from '@/components/atoms/Button'

export default {
  name: 'adminlogin',
  components: {
    MyTextInput,
    MyButton
  },
  props: {
    // state: store
  },
  data() {
    return {
      email: '',
      password: ''
    }
  },
  computed: {
    ...mapGetters('Auth', {
      userName: 'userName',
      isAdminLoggedIn: 'isAdminLoggedIn'
    })
  },
  created() {},
  methods: {
    ...mapActions('Auth', {
      login: 'adminLogin',
      logout: 'adminLogout'
    })
  }
}
</script>

<!-- Add 'scoped' attribute to limit CSS to this component only -->
<style scoped lang="stylus">
h1
h2 
  font-weight: normal
ul 
  list-style-type: none
  padding: 0
li 
  display: inline-block
  margin: 0 10px
a 
  color: #42b983
.mt10 
  margin-top: 10px
.mt20 
  margin-top: 20px
.signup 
  margin-top: 20px
  display: flex
  flex-flow: column nowrap
  justify-content: center
  align-items: center
.label
  font-size: $fz-base
.note
  font-size: $fz-base_small
</style>